> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Colors

> List all available color filters for Vinted search.

## Query Parameters

<ParamField query="market" type="string" default="fr">
  Vinted market. Color names are localized to the market language.
</ParamField>

## Response

<ResponseField name="colors" type="array">
  Array of available colors.

  <Expandable title="Color object">
    <ResponseField name="id" type="integer">Color ID. Use this value in the `color_ids` filter when searching items.</ResponseField>
    <ResponseField name="title" type="string">Localized color name.</ResponseField>
    <ResponseField name="hex" type="string">Hex color code (e.g. `"#000000"`).</ResponseField>
  </Expandable>
</ResponseField>

### Example Response

```json theme={null}
{
  "colors": [
    {
      "id": 1,
      "title": "Black",
      "hex": "#000000"
    },
    {
      "id": 3,
      "title": "Grey",
      "hex": "#808080"
    },
    {
      "id": 4,
      "title": "White",
      "hex": "#FFFFFF"
    },
    {
      "id": 7,
      "title": "Blue",
      "hex": "#0000FF"
    },
    {
      "id": 12,
      "title": "Red",
      "hex": "#FF0000"
    }
  ]
}
```

<Note>
  Each color list request costs **1 credit**. Failed requests are not charged.
</Note>


## OpenAPI

````yaml GET /v1/vinted/colors
openapi: 3.1.0
info:
  title: ScrapeBadger Vinted API
  version: 1.0.0
  description: >-
    Vinted marketplace scraping API for searching items, fetching details, user
    profiles, and reference data.
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/vinted/colors:
    get:
      summary: List Colors
      description: List all available color filters for Vinted search.
      operationId: listVintedColors
      parameters:
        - name: market
          in: query
          schema:
            type: string
            default: fr
          description: Vinted market. Color names are localized to the market language.
      responses:
        '200':
          description: Available colors
          content:
            application/json:
              schema:
                type: object
                properties:
                  colors:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: Color ID.
                        title:
                          type: string
                          description: Localized color name.
                        hex:
                          type: string
                          description: Hex color code (e.g. "#000000").
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````